import request from '@/utils/request'

/**
 * 同步小说资产到数据库
 * @param {Number} accountId 推广账号ID
 */
export function syncFiction(accountId) {
  return request({
    url: '/api/gdt/asset/fiction/sync',
    method: 'post',
    params: { accountId }
  })
}

/**
 * 分页查询小说资产列表
 * @param {Number} page 页码
 * @param {Number} pageSize 每页数量
 * @param {String} fictionName 小说名称
 */
export function getFictionList(page = 1, pageSize = 20, fictionName = '') {
  return request({
    url: '/api/gdt/asset/fiction/list',
    method: 'get',
    params: {fictionName, page, pageSize }
  })
}

/**
 * 查询小说资产详情
 * @param {Number} id 小说资产ID
 */
export function getFictionDetail(id) {
  return request({
    url: '/api/gdt/asset/fiction/detail',
    method: 'get',
    params: { id }
  })
}


export function myFictionAssetList(fictionName) {
  return request({
    url: '/api/gdt/asset/fiction/myFictionAssets',
    method: 'get',
    params: { fictionName }
  })
}
